# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build/Tiny.pm) perl(Moose.pm) perl(Test/More.pm) perl(Test/Number/Delta.pm) perl(YAML/Syck.pm)
# END SourceDeps(oneline)
%define module_name AlignDB-DeltaG
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: Calculate deltaG of polymer DNA sequences
Group: Development/Perl
License: perl
URL: https://github.com/wang-q/AlignDB-DeltaG

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WA/WANGQ/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`AlignDB::DeltaG' is a simple class to calculate deltaG of polymer DNA sequences using the NN model.

In the near future, it may be extanded to calculate oligonucleotide thermodynamics.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/A*

%changelog
* Thu Jan 12 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1
- initial import by package builder

